Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_hashes_find_statements

## Name

librdf_storage_hashes_find_statements --

## Synopsis

``librdf_stream* `librdf_storage_hashes_find_statements`` (librdf_storage* `storage`, librdf_statement* `statement`);`

## Arguments

`storage`

  the storage

`statement`

  the statement to match

## Description

Return a stream of statements matching the given statement (or all statements if NULL). Parts (subject, predicate, object) of the statement can be empty in which case any statement part will match that. Uses librdf_statement_match to do the matching.

## Return value

a librdf_stream or NULL on failure

<<< Previous | Home | Next >>>
librdf_storage_hashes_close | Up | librdf_storage_hashes_context_add_statement